FROM node:20-bookworm-slim
RUN apt-get update && apt-get install -y --no-install-recommends \
    libudev-dev \
    libusb-1.0-0-dev \
    fuse \
    rpm \
    dpkg-dev \
    python3 \
    make \
    g++ \
 && rm -rf /var/lib/apt/lists/*
WORKDIR /project
